Skip to main content
GET
/
api
/
external
/
companies
/
{companyId}
/
configuration
/
fields
List Configuration Fields
curl --request GET \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/configuration/fields \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440100",
      "entityName": "policies",
      "fieldDefinition": {
        "className": "InputField",
        "key": "policyState",
        "path": "policyState",
        "label": "Policy State",
        "section": "Policy Information",
        "required": true
      },
      "createdAt": "2025-01-15T10:30:00.000Z",
      "updatedAt": "2025-01-20T14:00:00.000Z"
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440101",
      "entityName": "insureds",
      "fieldDefinition": {
        "className": "SelectField",
        "key": "dealerType",
        "path": "dealerType",
        "label": "Dealer Type",
        "section": "General",
        "fields": {
          "options": [
            {
              "label": "Franchise",
              "value": "franchise"
            },
            {
              "label": "Non-Franchise",
              "value": "nonfranchise"
            }
          ]
        }
      },
      "createdAt": "2025-01-10T08:00:00.000Z",
      "updatedAt": null
    }
  ],
  "totalCount": 2
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Query Parameters

id

Filter by field ID (single UUID or array of UUIDs)

entityName
enum<string>

Filter by entity type

Available options:
events,
insureds,
policies
sortBy
enum<string>
default:createdAt

Field to sort by (default createdAt)

Available options:
createdAt,
updatedAt
sortDirection
enum<string>
default:desc

Sort direction (default desc)

Available options:
asc,
desc
page
integer
default:1

Page number (1-based, default 1, page size 50)

Required range: x >= 1

Response

Paginated list of configuration fields

items
object[]
totalCount
integer

Total number of matching fields across all pages